package com.persagy.dmp.delivery.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.node.ArrayNode;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import com.persagy.dmp.delivery.entity.ObjectInfoCollect;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 平台/项目级采集的信息点定义
 * @author linhuili
 * @date 2021-10-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ObjectInfoCollectDTO extends ObjectInfoCollect {
    /** 别名称 */
    private String name;
    /** 别编码 */
    private String aliasCode;
    /** 别名名称 */
    private String aliasName;
    /** 类型编码 */
    private String classCode;
    private String category;
    /** 一级标签 */
    private String firstTag;
    /** 二级标签 */
    private String secondTag;
    /** 优先级 */
    private String priority;
    /** 输入方式 */
    private String inputMode;
    /** 单位 */
    private String unit;
    /** 数据类型 */
    private String dataType;
    /** 复数标识 */
    private Boolean isMultiple = false;
    /** 区间标识 */
    private Boolean isRegion = false;
    /** 数据格式 */
    private String formater;
    /** 取值范围 */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ArrayNode dataSource;
    /** 备注 */
    private String remark;
    /** 子分类标记 */
    private Boolean subFlag;
    /** 虚点 */
    private Boolean weakPoint;
    /** 显示顺序 */
    private Long showOrder;
    /** 版本 */
    private String version;
    /** 信息点来源  0-common */
    private Integer sourceFrom;
}
